package com.ruoyi.abuwx.domain.exam;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 试题选项对象 exm_question_option
 * 
 * @author ruoyi
 * @date 2024-05-17
 */
public class ExmQuestionOption extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 选项（option是关键字） */
    @Excel(name = "选项", readConverterExp = "o=ption是关键字")
    private String options;

    /** 排序 */
    @Excel(name = "排序")
    private Long no;

    /** 试题ID */
    @Excel(name = "试题ID")
    private Long questionId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOptions(String options) 
    {
        this.options = options;
    }

    public String getOptions() 
    {
        return options;
    }
    public void setNo(Long no) 
    {
        this.no = no;
    }

    public Long getNo() 
    {
        return no;
    }
    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("options", getOptions())
            .append("no", getNo())
            .append("questionId", getQuestionId())
            .toString();
    }
}
